## lxqt-config 0.13.0+git20181226

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-config)

set(LXQT_CONFIG_PROJECT "${PROJECT_NAME}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_APPEARANCE "Build the 'lxqt-config-appearance'" ON)
option(WITH_BRIGHTNESS "Build the 'lxqt-config-brightness'" ON)
option(WITH_FILE_ASSOCIATIONS "Build the 'lxqt-config-file-associations'" ON)
option(WITH_INPUT "Build the 'lxqt-config-input'" ON)
option(WITH_LOCALE "Build the 'lxqt-config-locale'" ON)
option(WITH_MONITOR "Build the 'lxqt-config-monitor'" ON)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(KF5_MINIMUM_VERSION "5.36.0")
set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
set(LXQT_MINIMUM_VERSION "0.14.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Patch Version
set(LXQT_CONFIG_PATCH_VERSION 0)

set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
add_definitions(
    "-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\""
)

include(LXQtTranslate)

add_subdirectory(src)
if (WITH_INPUT OR WITH_APPEARANCE)
    add_subdirectory(liblxqt-config-cursor)
endif()
if (WITH_INPUT)
    add_subdirectory(lxqt-config-input)
endif()
if (WITH_FILE_ASSOCIATIONS)
    add_subdirectory(lxqt-config-file-associations)
endif()
if (WITH_APPEARANCE)
    add_subdirectory(lxqt-config-appearance)
endif()
if (WITH_MONITOR)
    add_subdirectory(lxqt-config-monitor)
endif()
if (WITH_BRIGHTNESS)
    add_subdirectory(lxqt-config-brightness)
endif()
if (WITH_LOCALE)
    add_subdirectory(lxqt-config-locale)
endif()

install(FILES
    man/lxqt-config.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-config-input/CMakeLists.txt ===
project(lxqt-config-input)

find_package(X11 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(XORG_LIBINPUT REQUIRED xorg-libinput)
pkg_check_modules(XORG_XI REQUIRED xi)
pkg_check_modules(LIBUDEV REQUIRED libudev)

include_directories(
    ${X11_INCLUDE_DIR}
    ${XORG_LIBINPUT_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
)

set(lxqt-config-input_HDRS
    keyboardconfig.h
    mouseconfig.h
    mouseconfig.h
    keyboardlayoutconfig.h
    selectkeyboardlayoutdialog.h
    touchpadconfig.h
)

set(lxqt-config-input_SRCS
    lxqt-config-input.cpp
    keyboardconfig.cpp
    mouseconfig.cpp
    keyboardlayoutconfig.cpp
    selectkeyboardlayoutdialog.cpp
    touchpadconfig.cpp
    touchpaddevice.cpp
)

set(lxqt-config-input_UIS
    mouseconfig.ui
    keyboardconfig.ui
    keyboardlayoutconfig.ui
    selectkeyboardlayoutdialog.ui
    touchpadconfig.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-input_HDRS}
        ${lxqt-config-input_SRCS}
        ${lxqt-config-input_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_definitions(
  -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt-config-input"
)

add_executable(lxqt-config-input
    ${lxqt-config-input_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-config-input
    Qt5::Widgets
    Qt5::X11Extras
    ${X11_LIBRARIES}
    ${X11_Xinput_LIB}
    lxqt
    lxqt-config-cursor
    udev
)

set_target_properties(lxqt-config-input
    PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
)

install(TARGETS
    lxqt-config-input
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (0.13.0+git20181226-0ubuntu3) disco; urgency=medium

  * Don't recommend lxqt-config-l10n and conflict it at the same time.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Jan 2019 15:08:01 -0600

lxqt-config (0.13.0+git20181226-0ubuntu2) disco; urgency=medium

  * Add Conflicts/Replaces for lxqt-config-l10n.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Dec 2018 17:42:43 -0600

lxqt-config (0.13.0+git20181226-0ubuntu1) disco; urgency=medium

  * New upstream Git snapshot.
    - Remove reverse-applicable patches.
    - Add a patch lowering the LXQt version required.
    - Add missing build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Dec 2018 17:21:31 -0600

lxqt-config (0.13.0-0ubuntu5) cosmic; urgency=medium

  * Set default GTK theme if rc file doesn't exists.

 -- Hans P. Möller <hmoller@gmail.com>  Thu, 04 Oct 2018 14:44:03 -0300

lxqt-config (0.13.0-0ubuntu4) cosmic; urgency=medium

  * Make a path for GTK settings if it does not exist.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 03 Sep 2018 00:43:25 -7000

lxqt-config (0.13.0-0ubuntu3) cosmic; urgency=medium

  * Run wrap-and-sort.
  * Demote qt5-style-plugins to a Suggests, because some of the themes are not
    working (LP: #1785401).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Aug 2018 14:24:44 -0500

lxqt-config (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Change Uploaders to Ubuntu uploaders.
  * Add support for modifying GTK themes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 30 Jul 2018 16:35:02 -0500

lxqt-config (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:25:36 -0500

=== debian/control ===
Source: lxqt-config
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-config/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-config.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: disk-manager,
            galternatives,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          qt5-style-plugins,
          synaptic
Conflicts: lxqt-config-l10n (<= 0.13.0-0ubuntu1)
Replaces: lxqt-config-l10n (<= 0.13.0-0ubuntu1)
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

## lxqt-config 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 option(WITH_INPUT "Build the 'lxqt-config-input'" ON)
 option(WITH_LOCALE "Build the 'lxqt-config-locale'" ON)
 option(WITH_MONITOR "Build the 'lxqt-config-monitor'" ON)
+option(WITH_TOUCHPAD "Build touchpad settings" ON)
 
 include(GNUInstallDirs)

=== debian/changelog ===
lxqt-config (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Added build dependency libxi-dev
  * Added build dependency xserver-xorg-input-libinput-dev
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata
  * Fixed d/manpages
  * Basic Touchpad configuration added upstream (Closes: #845624) 

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 17:15:29 +0100

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: disk-manager,
            galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            qt5-style-plugins,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          cmst [linux-any] | network-manager-gnome [linux-any],
          lxqt | lxqt-core,
          lxappearance,
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 This package contains the l10n files needed by the lxqt-config.

## lxqt-config 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -41,7 +41,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_CONFIG_PATCH_VERSION 0)
+set(LXQT_CONFIG_PATCH_VERSION 1)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
 add_definitions(

=== liblxqt-config-cursor/CMakeLists.txt ===
project(lxqt-config-cursor)

find_package(X11 REQUIRED)
find_package(XCB REQUIRED xcb)
include_directories(${XCB_INCLUDE_DIRS})
link_libraries(${XCB_LIBRARIES})

include_directories (
    ${X11_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/xcr
)

set(lxqt-config-cursor_HDRS
    thememodel.h
    previewwidget.h
    itemdelegate.h
    selectwnd.h
    warninglabel.h
)

set(lxqt-config-cursor_SRCS
    crtheme.cpp
    selectwnd.cpp
    xcr/xcrimg.cpp
    xcr/xcrxcur.cpp
    xcr/xcrthemefx.cpp
    xcr/xcrtheme.cpp
    xcr/xcrthemexp.cpp
    cfgfile.cpp
    previewwidget.cpp
    itemdelegate.cpp
    thememodel.cpp
    warninglabel.cpp
)

set(lxqt-config-cursor_UIS
    selectwnd.ui
    warninglabel.ui
)

find_package(ZLIB REQUIRED)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-cursor_HDRS}
        ${lxqt-config-cursor_SRCS}
        ${lxqt-config-cursor_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-config-cursor_QM_LOADER ${PROJECT_NAME})

#************************************************

add_library(lxqt-config-cursor
    SHARED
        ${lxqt-config-cursor_SRCS}
        ${DESKTOP_FILES}
        ${QM_FILES}
        ${lxqt-config-cursor_QM_LOADER}
)

target_link_libraries(lxqt-config-cursor
    Qt5::X11Extras
    Qt5::DBus
    Qt5::Xml
    ${X11_X11_LIB}
    ${X11_Xcursor_LIB}
    lxqt
    ${ZLIB_LIBRARY}
    ${X11_Xfixes_LIB}
)
# not needed probably ${X11_Xfixes_LIB})

install(TARGETS
    lxqt-config-cursor
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDOR}/applications"
    COMPONENT Runtime
)

install(FILES
    man/lxqt-config-mouse.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-config-appearance/CMakeLists.txt ===
project(lxqt-config-appearance)

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
)

set(H_FILES
    iconthemeinfo.h
)

set(MOC_FILES
    iconthemeconfig.h
    lxqtthemeconfig.h
    fontsconfig.h
    styleconfig.h
    fontconfigfile.h
    configothertoolkits.h
)

set(CPP_FILES
    main.cpp
    iconthemeconfig.cpp
    iconthemeinfo.cpp
    lxqtthemeconfig.cpp
    fontsconfig.cpp
    styleconfig.cpp
    fontconfigfile.cpp
    configothertoolkits.cpp
)

set(UI_FILES
    iconthemeconfig.ui
    lxqtthemeconfig.ui
    fontsconfig.ui
    styleconfig.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)


# Translations **********************************
lxqt_translate_ts(QM_FILES
        UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    ${LIBRARIES}
    lxqt-config-cursor
)

set_target_properties("${PROJECT_NAME}"
    PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

install(FILES
    man/lxqt-config-appearance.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-config-brightness/CMakeLists.txt ===
project(lxqt-config-brightness)

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(XCB REQUIRED xcb xcb-randr)

set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)


include_directories (
    ${XCB_INCLUDE_DIRS}
)

set(H_FILES
    brightnesssettings.h
	xrandrbrightness.h
    monitorinfo.h
    outputwidget.h
)

set(CPP_FILES
    main.cpp
    brightnesssettings.cpp
    xrandrbrightness.cpp
    monitorinfo.cpp
    outputwidget.cpp
)

set(UI_FILES
    brightnesssettings.ui
    outputwidget.ui
)

qt5_wrap_ui(UI_HEADERS ${UI_FILES})


# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")


add_executable(${PROJECT_NAME} ${CPP_FILES} ${UI_FILES} ${QM_FILES} ${DESKTOP_FILES} ${QM_LOADER})

target_link_libraries(
    ${PROJECT_NAME}
    ${QTX_LIBRARIES}
    ${XCB_LIBRARIES}
    lxqt
)

add_definitions(
    -DICON_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)


install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
install(FILES ${DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(
    FILES icons/brightnesssettings.svg
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== lxqt-config-file-associations/CMakeLists.txt ===
project(lxqt-config-file-associations)

set(H_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(MOC_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(CPP_FILES
    mimetypedata.cpp
    mimetypeviewer.cpp
    applicationchooser.cpp
    main.cpp
)

set(UI_FILES
    mimetypeviewer.ui
    applicationchooser.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    KF5::WindowSystem
    Qt5::Xml
    Qt5::DBus
    Qt5::Widgets
    ${LIBRARIES}
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,32 @@
 project(lxqt-config-input)
 
 find_package(X11 REQUIRED)
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(XORG_LIBINPUT REQUIRED xorg-libinput)
-pkg_check_modules(XORG_XI REQUIRED xi)
-pkg_check_modules(LIBUDEV REQUIRED libudev)
+
+if (WITH_TOUCHPAD)
+    find_package(PkgConfig REQUIRED)
+    pkg_check_modules(XORG_LIBINPUT REQUIRED xorg-libinput)
+    pkg_check_modules(XORG_XI REQUIRED xi)
+    pkg_check_modules(LIBUDEV REQUIRED libudev)
+endif ()
+
+set(lxqt-config-input_INCS
+    ${X11_INCLUDE_DIR}
+    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
+)
+
+if (WITH_TOUCHPAD)
+    add_definitions(
+        "-DWITH_TOUCHPAD=\"ON\""
+    )
+
+    set(lxqt-config-input_INCS
+        ${lxqt-config-input_INCS}
+        ${XORG_LIBINPUT_INCLUDE_DIRS}
+    )
+endif ()
 
 include_directories(
-    ${X11_INCLUDE_DIR}
-    ${XORG_LIBINPUT_INCLUDE_DIRS}
-    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
+    ${lxqt-config-input_INCS}
 )
 
 set(lxqt-config-input_HDRS
@@ -18,7 +35,6 @@
     mouseconfig.h
     keyboardlayoutconfig.h
     selectkeyboardlayoutdialog.h
-    touchpadconfig.h
 )
 
 set(lxqt-config-input_SRCS
@@ -27,8 +43,6 @@
     mouseconfig.cpp
     keyboardlayoutconfig.cpp
     selectkeyboardlayoutdialog.cpp
-    touchpadconfig.cpp
-    touchpaddevice.cpp
 )
 
 set(lxqt-config-input_UIS
@@ -36,8 +50,25 @@
     keyboardconfig.ui
     keyboardlayoutconfig.ui
     selectkeyboardlayoutdialog.ui
-    touchpadconfig.ui
 )
+
+if (WITH_TOUCHPAD)
+    set(lxqt-config-input_HDRS
+        ${lxqt-config-input_HDRS}
+        touchpadconfig.h
+    )
+
+    set(lxqt-config-input_SRCS
+        ${lxqt-config-input_SRCS}
+        touchpadconfig.cpp
+        touchpaddevice.cpp
+    )
+
+    set(lxqt-config-input_UIS
+        ${lxqt-config-input_UIS}
+        touchpadconfig.ui
+    )
+endif ()
 
 # Translations **********************************
 lxqt_translate_ts(QM_FILES
@@ -67,14 +98,24 @@
     ${QM_LOADER}
 )
 
-target_link_libraries(lxqt-config-input
+set(lxqt-config-input_TLBS
     Qt5::Widgets
     Qt5::X11Extras
     ${X11_LIBRARIES}
-    ${X11_Xinput_LIB}
     lxqt
     lxqt-config-cursor
-    udev
+)
+
+if (WITH_TOUCHPAD)
+    set(lxqt-config-input_TLBS
+        ${lxqt-config-input_TLBS}
+        ${X11_Xinput_LIB}
+        udev
+    )
+endif ()
+
+target_link_libraries(lxqt-config-input
+    ${lxqt-config-input_TLBS}
 )
 
 set_target_properties(lxqt-config-input

=== lxqt-config-locale/CMakeLists.txt ===
project(lxqt-config-locale)

set(H_FILES
    localeconfig.h
)


set(CPP_FILES
    main.cpp
    localeconfig.cpp
)

set(UI_FILES
    localeconfig.ui
)

qt5_wrap_cpp(COMBO_HEADER combobox.h)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${COMBO_HEADER}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${QM_FILES}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::Xml
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-monitor/CMakeLists.txt ===
project(lxqt-config-monitor)

find_package(KF5Screen ${KF5SCREEN_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)

set(HEADERS
    monitorsettingsdialog.h
    monitor.h
    monitorwidget.h
    monitorpicture.h
    loadsettings.h
    settingsdialog.h
    managesavedsettings.h
    fastmenu.h
)

set(SOURCES
    main.cpp
    monitorsettingsdialog.cpp
    monitor.cpp
    monitorwidget.cpp
    timeoutdialog.cpp
    monitorpicture.cpp
    loadsettings.cpp
    settingsdialog.cpp
    managesavedsettings.cpp
    fastmenu.cpp
)

set(UIS
    monitorsettingsdialog.ui
    monitorwidget.ui
    timeoutdialog.ui
    monitorpicture.ui
    managesavedsettings.ui
    fastmenu.ui
)

set(ICONS
	icons/monitor.svg
)

# Config file
configure_file(resources/configure.in configure.h)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${HEADERS}
        ${SOURCES}
        ${UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")

#************************************************

add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Svg
    KF5::Screen
    lxqt
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/applications")
install(FILES ${ICONS} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt/icons")

=== src/CMakeLists.txt ===
project(lxqt-config)
add_subdirectory(qcategorizedview)

include_directories (
    "${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview"
)

set(lxqt-config_HDRS "")

set(lxqt-config_SRCS
    main.cpp
    mainwindow.cpp
)

set(lxqt-config_MOCS
    mainwindow.h
)

set(lxqt-config_UIS
    mainwindow.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config_HDRS}
        ${lxqt-config_SRCS}
        ${lxqt-config_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config.desktop.in)

#************************************************

add_executable(lxqt-config
    ${lxqt-config_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-config
    KF5::WindowSystem
    Qt5::Widgets
    Qt5::Xml
    lxqt
)

# helper static lib
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview)
target_link_libraries(lxqt-config qcategorizedview)

install(TARGETS
    lxqt-config
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES lxqt-config.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== lxqt-config-brightness/translations/CMakeLists.txt ===
project(lxqt-config-brightness)

build_component("." "")

=== src/qcategorizedview/CMakeLists.txt ===
project(qcategorizedview)

set(SOURCES
    qcategorizedview.cpp
    qcategorydrawer.cpp
    qcategorizedsortfilterproxymodel.cpp
)

add_library(qcategorizedview STATIC ${SOURCES})
target_link_libraries(qcategorizedview Qt5::Widgets)

=== debian/changelog ===
lxqt-config (0.14.1-4) unstable; urgency=medium

  * Added build dependency libxcb-randr0-dev to fix FTBFS in testing and sid.
    Thanks Lucas Nussbaum <lucas@debian.org> for spotting this.
    (Closes: #952266)
  * Bumped Standards-Version to 4.5.0, no changes needed
  * Switched to gbp

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Feb 2020 01:49:32 +0100

lxqt-config (0.14.1-3) unstable; urgency=medium

  * Build without touchpad support on kfreebsd and hurd, thanks
    Paul Sonnenschein <paul@sonnenschein.ruhr> (Closes: #933336)

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Aug 2019 04:07:48 +0200

lxqt-config (0.14.1-2) unstable; urgency=medium

  * Fixed keyboard layout switch shortcut (Closes: #925346)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Mar 2019 15:53:38 +0100

lxqt-config (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped build dependency liblxqt to 0.14.1~
  * Extended the package description a bit

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 20:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
 Build-Depends: debhelper-compat (= 12),
                libkf5screen-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.0~),
+               liblxqt0-dev (>= 0.14.1~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
+               libxcb-randr0-dev,
                libxcursor-dev,
                libxfixes-dev,
                libxi-dev,
                qtbase5-private-dev,
                xserver-xorg-input-libinput-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
 Homepage: https://github.com/lxqt/lxqt-config
@@ -48,7 +49,8 @@
           obconf-qt,
           synaptic
 Description: LXQt system settings center
- The LXQt system settings center
+ The LXQt system settings center which summarizes all configuration tools as
+ well as counterparts of other LXQt components or third-party applications.
  .
  This package contain the LXQt configuration ui.
 
@@ -61,4 +63,7 @@
 Breaks: lxqt-config (<< 0.11.0)
 Replaces: lxqt-config (<< 0.11.0)
 Description: Language package for lxqt-config
+ The LXQt system settings center which summarizes all configuration tools as
+ well as counterparts of other LXQt components or third-party applications.
+ .
  This package contains the l10n files needed by the lxqt-config.

## lxqt-config 0.14.1.1+rb2

=== debian/changelog ===
lxqt-config (0.14.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Thu, 28 Jan 2021 15:35:08 +0800

## lxqt-config 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -41,7 +41,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_CONFIG_PATCH_VERSION 1)
+set(LXQT_CONFIG_PATCH_VERSION 0)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-config (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Add build dependency on libxcb-randr0-dev (Closes: #952266).
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:42:32 -0500

lxqt-config (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:54:59 -0600

lxqt-config (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove unneeded patches.
  * Bump debhelper compat to 12, no changes needed.
  * Add new lxqt-config-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:07:14 -0600

=== debian/control ===
Source: lxqt-config
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.15.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-config/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-config.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: disk-manager,
            galternatives,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          qt5-style-plugins,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 This package contains the l10n files needed by lxqt-config.

## lxqt-config 0.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -41,7 +41,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_CONFIG_PATCH_VERSION 0)
+set(LXQT_CONFIG_PATCH_VERSION 1)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
 add_definitions(

=== lxqt-config-appearance/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     styleconfig.cpp
     fontconfigfile.cpp
     configothertoolkits.cpp
+    colorLabel.cpp
 )
 
 set(UI_FILES

=== lxqt-config-brightness/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 )
 
 set(H_FILES
+    brightnesswatcher.h
     brightnesssettings.h
 	xrandrbrightness.h
     monitorinfo.h
@@ -20,6 +21,7 @@
 
 set(CPP_FILES
     main.cpp
+    brightnesswatcher.cpp
     brightnesssettings.cpp
     xrandrbrightness.cpp
     monitorinfo.cpp

=== lxqt-config-monitor/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     settingsdialog.h
     managesavedsettings.h
     fastmenu.h
+    kscreenutils.h
 )
 
 set(SOURCES
@@ -25,6 +26,7 @@
     settingsdialog.cpp
     managesavedsettings.cpp
     fastmenu.cpp
+    kscreenutils.cpp
 )
 
 set(UIS

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 project(lxqt-config)
 add_subdirectory(qcategorizedview)
+add_subdirectory(menuname)
 
 include_directories (
     "${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview"

=== src/menuname/CMakeLists.txt ===
file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)

# Translations **********************************
lxqt_translate_desktop(DIRECTORY_FILES
    SOURCES
        ${DIRECTORY_FILES_IN}
)
add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
#************************************************

install(FILES
    ${DIRECTORY_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/desktop-directories"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (0.16.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #864482)
  * debian/control: updated build-deps.
  * debian/control: drop disk-manager from recommends as it has been
    removed from unstable. (Closes: #952967)
  * Update debian/lxqt-config.install to ship new binary files.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 16:09:45 +0800

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.16.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            qt5-style-plugins,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          cmst [linux-any] | network-manager-gnome [linux-any],
          lxqt | lxqt-core,
          lxappearance,
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contains the l10n files needed by the lxqt-config.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif


%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CONF_FLAGS)

## lxqt-config 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== lxqt-config-appearance/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)
+lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)
 
 #************************************************

=== lxqt-config-brightness/CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")
+lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in" USE_YAML)
 
 
 add_executable(${PROJECT_NAME} ${CPP_FILES} ${UI_FILES} ${QM_FILES} ${DESKTOP_FILES} ${QM_LOADER})

=== lxqt-config-file-associations/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)
+lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)
 
 #************************************************

=== lxqt-config-locale/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in)
+lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)
 
 #************************************************

=== lxqt-config-monitor/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 )
 
 set(ICONS
-	icons/monitor.svg
+    icons/monitor.svg
 )
 
 # Config file
@@ -58,7 +58,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in")
+lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in" USE_YAML)
 
 #************************************************

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config.desktop.in)
+lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config.desktop.in USE_YAML)
 
 #************************************************

=== lxqt-config-input/translations/CMakeLists.txt ===
project(lxqt-config-input)

build_component("." "")

=== debian/changelog ===
lxqt-config (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
  * Rename tag for lintian override
  * Update debian/copyright
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Thu, 12 Aug 2021 17:03:12 +0200

lxqt-config (0.16.1-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Updated recommends.
  * Bumped debhelper-compat requirement to 13.
  * Fixed manpage errors about files existing in debian/tmp but not installed anywhere.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 22:44:21 +0530

=== debian/control ===
Source: lxqt-config
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.17.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-config/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-config.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          qt5-style-plugins,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-config (<< 0.11.0)
Replaces: lxqt-config (<< 0.11.0)
Description: Language package for lxqt-config
 This package contains the l10n files needed by lxqt-config.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-config/releases .*/lxqt-config-([\d\.]+).tar.xz
